(* Программа setmyenv.pas -- установка окружения программы *)
uses linux,stdio;

const
  argv:array [0..1] of pchar=('showmyenv',nil);
  envp:array [0..2] of pchar=('foo=bar','bar=foo',nil);
begin
  execve ('./showmyen', argv, envp);
  perror ('Ошибка вызова execve');
end.